<?php 
include('../../../../configuracion.php');
include('../config.php');
	 	 
///////////////////////////////////////////////////////
 
$enlace = isset($_POST['enlace']) ? $_POST['enlace'] : NULL;
$lugar = isset($_POST['lugar']) ? $_POST['lugar'] : NULL;
$fecha = isset($_POST['fecha']) ? $_POST['fecha'] : NULL;
$hora = isset($_POST['hora']) ? $_POST['hora'] : NULL;

$titulo = isset($_POST['titulo']) ? $_POST['titulo'] : NULL;
$titulo_en = isset($_POST['titulo_en']) ? $_POST['titulo_en'] : NULL;
$bajada = isset($_POST['bajada']) ? $_POST['bajada'] : NULL;
$bajada_en = isset($_POST['bajada_en']) ? $_POST['bajada_en'] : NULL;
$texto = isset($_POST['texto']) ? $_POST['texto'] : NULL;
$texto_en = isset($_POST['texto_en']) ? $_POST['texto_en'] : NULL;
$url_video = isset($_POST['url_video']) ? $_POST['url_video'] : NULL;
$destacado = isset($_POST['destacado']) ? $_POST['destacado'] : NULL;
$metatitle = isset($_POST['metatitle']) ? $_POST['metatitle'] : NULL;
$metadescription = isset($_POST['metadescription']) ? $_POST['metadescription'] : NULL;
$keywords = isset($_POST['keywords']) ? $_POST['keywords'] : NULL;
$estado = isset($_POST['estado']) ? $_POST['estado'] : NULL;

$relacionados = isset($_POST['relacionados']) ? $_POST['relacionados'] : NULL;

$enlace = funcion::LimpiaComillaSimple($enlace);
$lugar = funcion::LimpiaComillaSimple($lugar);
$fecha = funcion::LimpiaComillaSimple($fecha);
$hora = funcion::LimpiaComillaSimple($hora);


$titulo = funcion::LimpiaComillaSimple($titulo);
$titulo_en = funcion::LimpiaComillaSimple($titulo_en);
$bajada = funcion::LimpiaComillaSimple($bajada);
$bajada_en = funcion::LimpiaComillaSimple($bajada_en);
$texto = funcion::LimpiaComillaSimple($texto);
$texto_en = funcion::LimpiaComillaSimple($texto_en);
$metatitle = funcion::LimpiaComillaSimple($metatitle);
$metadescription = funcion::LimpiaComillaSimple($metadescription);
$keywords = funcion::LimpiaComillaSimple($keywords);

if($relacionados){ $relacionados = implode(",",$relacionados);}

// ============================
if (!empty($url_video)){
	include('video_plugin.php');
	$info_video = $video->info($url_video);
	$id_video = $info_video['video_id'];
	$host_video = $info_video['video_type'];
}
// ============================

// ============================

$autor = $_SESSION['administrador_mago_id'];
$fecha_ingreso = date('Y-m-d H:i:s');

		$datos = array(
			'fecha'			=> $db->string($fecha),
			'hora'			=> $db->string($hora),
			'lugar'			=> $db->string($lugar),
			'enlace'			=> $db->string($enlace),
			'titulo'			=> $db->string($titulo),
			'titulo_en'			=> $db->string($titulo_en),
			'bajada'			=> $db->string($bajada,html),
			'bajada_en'			=> $db->string($bajada_en,html),
			'texto'				=> $db->string($texto,html),
			'texto_en'				=> $db->string($texto_en,html),
			'url_video'			=> $db->string($url_video),
			'id_video'			=> $db->string($id_video),
			'host_video'		=> $db->string($host_video),
			'destacado'			=> @$destacado+0,
			'metatitle'			=> $db->string($metatitle),
			'metadescription'	=> $db->string($metadescription),
			'keywords'			=> $db->string($keywords),
			'relacionados'		=> $db->string($relacionados),
			'estado'			=> @$estado+0,
			'autor'				=> @$autor+0,
			'editor'			=> @$autor+0,
			'fecha_ingreso'		=> $db->string($fecha_ingreso),
			'fecha_edicion'		=> $db->string($fecha_ingreso)
		);

		$db->insert(TABLA,$datos);
		$id = $db->UltimoId(TABLA);

		if (!empty($id)) {
			$mensaje_respuesta = 'Datos agregados.';
			$url_respuesta = MAGO."c/".MODULO;
		} else {
			$mensaje_respuesta = 'ERROR: No se pudo agregar.';
			$url_respuesta = MAGO."c/".MODULO.'/agregar';
		}


		// Creamos el Slug
		$slug = funcion::slug($titulo);

		// Verificamos que no se repita el slug
		$validar_slug = $db->results(TABLA,'id',"slug='{$slug}'");
		if(isset($validar_slug)){
			$slug = $slug.'-'.$id;
		}

		// Subimos a la base de datos
		$datos_orden = array(
			'orden'		=> @$id+0,
			'slug'		=> $db->string($slug)
		);		
		$db->update(TABLA,$datos_orden,"id='$id'");






		$ruta = "../../../../imagenes/".FOLDER;

		include_once 'class.upload.php';
if(isset($_FILES['imagen_nueva'])){
		$imagen = new upload($_FILES['imagen_nueva']);
		// Comprobamos si se subió la imagen
		if ($imagen->uploaded) {
// ===================================================================================
		// CREAMOS LA IMAGEN ORIGINAL
			  
			  $imagen->image_convert			= 'jpg';
			  $imagen->jpeg_quality				= 92;
			  $imagen->allowed					= array('image/*');
			  $imagen->file_new_name_body		= $id;
			  $imagen->file_new_name_ext		= 'jpg';
			  $imagen->image_resize				= true;
			  $imagen->image_ratio_crop			= true;
			  $imagen->image_background_color	= '#000000';
			  $imagen->image_x					= 600;
			  $imagen->image_y					= 600;
			  
			  $imagen->process($ruta);
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'imagen'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update(TABLA,$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DE LA IMAGEN ORIGINAL
		// ===================================================================================
		
		
		// ===================================================================================
		// CREAMOS LA MINIATURA
		   
			  $imagen->image_convert			= 'jpg';
			  $imagen->jpeg_quality				= 92;
			  $imagen->file_new_name_body		= $id.'-min';
			  $imagen->file_new_name_ext		= 'jpg';
			  $imagen->image_resize				= true;
			  $imagen->image_ratio_crop			= true;
			  $imagen->image_background_color	= '#000000';
			  $imagen->image_x					= 300; /* Ancho */
			  $imagen->image_y					= 300; /* Alto */
			  
			  $imagen->process($ruta);
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'miniatura'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update(TABLA,$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DE LA MINIATURA
		// ===================================================================================
		
		// ===================================================================================
		// CREAMOS EL RECORTE
		   
			  $imagen->image_convert			= 'jpg';
			  $imagen->jpeg_quality				= 92;
			  $imagen->allowed					= array('image/*');
			  $imagen->file_new_name_body		= $id.'-rec';
			  $imagen->file_new_name_ext		= 'jpg';
			  $imagen->image_resize				= true;
			  $imagen->image_ratio_crop			= true;
			  $imagen->image_background_color	= '#000000';
			  $imagen->image_x					= 100; /* Ancho */
			  $imagen->image_y					= 100; /* Alto */
			  
			  $imagen->process($ruta);
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'recorte'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update(TABLA,$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DEL RECORTE
		// ===================================================================================
				
		}}
		
		//======FIN DEL PROCESO DE LA IMAGEN 1=======








if(isset($_FILES[TABLA.'_galerias'])){
        // ==================================================
		// ======PROCESAMOS LAS IMÁGENES DE LA GALERÍA=======
		// ==================================================
		
		// Extraemos la cantidad de imágenes que se van a subir
		$nro=count($_FILES[TABLA.'_galerias']['name']);
		
		// Empezamos el array con las imágenes
		for ($i=0; $i<$nro; $i++) {
		
		// Verificamos si existe la imagen
		if ($_FILES[TABLA.'_galerias']['name'][$i]!=''){
		
		$imagen = new upload($_FILES[TABLA.'_galerias']['tmp_name'][$i]);
		
		// Comprobamos si se subió la imagen
			if ($imagen->uploaded) {
			 
		// ===================================================================================
		// CREAMOS LA IMAGEN ORIGINAL
			  
                
                $nombre = funcion::Aleatorio(5,TRUE,TRUE,FALSE);
				$imagen->image_convert				= 'jpg';
				$imagen->jpeg_quality				= 92;
				//$imagen->allowed					= array('image/*');
				
				$imagen->file_new_name_body			= $slug.'_'.$nombre;
				$imagen->file_new_name_ext			= 'jpg';
				$imagen->image_resize				= true;
				$imagen->image_ratio_y				= true;
			  	$imagen->image_x					= 1200;
				
				$imagen->process($ruta.'_galerias');

				if ($imagen->processed) {
					// Agregamos a la base de datos
					$datos_imagenes = array(
						'noticia'			=> @$id+0,
						'imagen'			=> $db->string($imagen->file_dst_name)
					);
					
					$db->insert(TABLA.'_galerias',$datos_imagenes);
                    
                    // Extraemos el ID
					$id_galeria = $db->UltimoId(TABLA.'_galerias');
					
					
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DE LA IMAGEN ORIGINAL
		// ===================================================================================
		
		// ===================================================================================
		// CREAMOS LA MINIATURA
		   
				$nombre = funcion::Aleatorio(15,TRUE,TRUE,FALSE);
				$imagen->image_convert				= 'jpg';
				$imagen->jpeg_quality				= 92;
				//$imagen->allowed					= array('image/*');
				$imagen->file_new_name_body			= "min_".$slug."_".$nombre;
				$imagen->file_new_name_ext			= 'jpg';
				$imagen->image_resize				= true;
				$imagen->image_ratio_fill			= true;
				$imagen->image_background_color		= '#000000';
				$imagen->image_x					= 600; /* Ancho */
				$imagen->image_y					= 400; /* Alto */
				
				$imagen->process($ruta.'_galerias');
				if ($imagen->processed) {
				  
					// Subimos a la base de datos
					$datos_recorte = array(
							'miniatura'		=> $db->string($imagen->file_dst_name)
					);		
					$db->update(TABLA.'_galerias',$datos_recorte,"id='$id_galeria'");
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DE LA MINIATURA
		// ===================================================================================
		
		// ===================================================================================
		// CREAMOS EL RECORTE
		   
				$nombre = funcion::Aleatorio(15,TRUE,TRUE,FALSE);
				$imagen->image_convert				= 'jpg';
				$imagen->jpeg_quality				= 92;
				//$imagen->allowed					= array('image/*');
				$imagen->file_new_name_body			= "rec_".$slug."_".$nombre;
				$imagen->file_new_name_ext			= 'jpg';
				$imagen->image_resize				= true;
				$imagen->image_ratio_crop			= true;
				$imagen->image_background_color		= '#000000';
				$imagen->image_x					= 100; /* Ancho */
				$imagen->image_y					= 100; /* Alto */
				
				$imagen->process($ruta.'_galerias');
				
				if ($imagen->processed) {
				  
					// Subimos a la base de datos
					$datos_recorte = array(
							'recorte'		=> $db->string($imagen->file_dst_name)
					);		
					$db->update(TABLA.'_galerias',$datos_recorte,"id='$id_galeria'");
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DEL RECORTE
		// ===================================================================================
		
		  }
		
		}
		}
		// ============================
		
		//======FIN DEL PROCESO DE LAS IMÁGENES DE LA GALERÍA=======
		//==========================================================

}


if(isset($_FILES[TABLA.'_fichas'])){

        // ==================================================
		// ======PROCESAMOS LAS IMÁGENES DE LA GALERÍA=======
		// ==================================================
		
		// Extraemos la cantidad de imágenes que se van a subir
		$nro=count($_FILES[TABLA.'_fichas']['name']);
		

		// Empezamos el array con las imágenes
		for ($i=0; $i<$nro; $i++) {
		
		// Verificamos si existe la imagen
		if ($_FILES[TABLA.'_fichas']['name'][$i]!=''){
		
		$ficha = new upload($_FILES[TABLA.'_fichas']['tmp_name'][$i]);
		
            // Comprobamos si se subió la ficha
		if ($ficha->uploaded) {
			 
		// ===================================================================================
		// CREAMOS LA FICHA ORIGINAL
			  
              $titulo_ficha = funcion::LimpiaComillaSimple($_POST['titulo_ficha'][$i]);
            
              $nombre = funcion::Aleatorio(5,TRUE,TRUE,FALSE);
			  $ficha->file_new_name_body	=	$slug.'_'.$nombre;
			  
			  $ficha->process($ruta.'_fichas/');
            
			  if ($ficha->processed) {
					// Agregamos a la base de datos
					$datos_fichas = array(
						'noticia'			=> @$id+0,
                        'titulo'            => $db->string($titulo_ficha),
						'ficha'			    => $db->string($ficha->file_dst_name)
					);
					
					$db->insert(TABLA.'_fichas',$datos_fichas);
                    
                   
					
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$ficha->error;
				}
		// FIN DE LA CREACIÓN DE LA FICHA 1
		// ===================================================================================
		}
		
		  
		
		}
		}
		// ============================
		
		//======FIN DEL PROCESO DE LAS IMÁGENES DE LA GALERÍA=======
		//==========================================================

}

	


echo $mensaje_respuesta.'|'.$url_respuesta;
exit;
?>